Subject: Re: Cygwin for Itanitium (Whistler)
From: Bob McGowan <[email-masked]>
To: Tim Prince <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 12 Feb 2001 10:57:12 -0800

I've seen a problem with running cygwin in the 64 bit environment, too, and I agree, the problem is not in the 32 bit emulation.  The initial bash shell starts and runs
fine, internal commands work as expected.  The problem I'm seeing is when an external command is tried.  The error generated is:

$ ls
97304241 [main] bash 1640 sync_with_child: child 476(0x700) died before initialization with status code 0x80
97305532 [main] bash 1640 sync_with_child: *** child state waiting for longjmp
bash: fork: Resource temporarily unavailable
$

I'm not able to pursue trying to fix this and its not a high priority for me.  But I could spare a cycle or two to help test, if needed.

Tim Prince wrote:
> 
> I thought the problem was in Whistler-64 not supporting enough Windows
> functions, and that had something to do with MKS revoking their
> commitment to port to it.  MKS ksh runs sufficiently to be useful, so
> you can't say the 32-bit mode is totally broken.
> ----- Original Message -----
> From: "Corinna Vinschen" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, February 12, 2001 1:44 AM
> Subject: Re: Cygwin for Itanitium (Whistler)
> 
> > On Fri, Feb 09, 2001 at 03:28:27PM -0800, Wes Isberg wrote:
> > > Hi all -
> > >
> > > I'm having the same problem as the person who emailed in October
> > > (child-died errors on any Cygwin command) when running on
> > > Itanium/Whistler Beta (64-bit Windows 2000).
> > >
> > > Has anyone built cygwin for Itanium?
> > > (since its 32-bit compatibility mode is not working...)
> >
> > You are a pioneer. Why don't you try to compile (and port?) Cygwin on
> > the Itanium/Whistler platform? Your efforts would be highly
> appreciated.
> >
> > Corinna
> >
> > --
> > Corinna Vinschen                  Please, send mails regarding Cygwin
> to
> > Cygwin Developer
> mailto:[email-masked]
> > Red Hat, Inc.
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple